org.apache.uima.fit.internal

## Class ResourceManagerFactory

- java.lang.Object
- - org.apache.uima.fit.internal.ResourceManagerFactory

-     public class ResourceManagerFactory
      extends Object

  INTERNAL API - Helper functions for dealing with resource managers and classloading This API is experimental and is very likely to be removed or changed in future versions.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceManagerFactory.DefaultResourceManagerCreator`
    `static interface` | `ResourceManagerFactory.ResourceManagerCreator`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceManagerFactory.ResourceManagerCreator` | `getResourceManagerCreator()`
    `static ResourceManager` | `newResourceManager()`
    `static void` | `setResourceManagerCreator(ResourceManagerFactory.ResourceManagerCreator resourceManagerCreator)` Mind that returning a singleton resource manager from `ResourceManagerFactory` is generally a bad idea because it gets destroyed on a regular basis.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newResourceManager

          public static ResourceManager newResourceManager()
                                                    throws ResourceInitializationException

      Throws:
        `ResourceInitializationException`

    - #### setResourceManagerCreator

          public static void setResourceManagerCreator(ResourceManagerFactory.ResourceManagerCreator resourceManagerCreator)

      Mind that returning a singleton resource manager from `ResourceManagerFactory` is generally a bad idea because it gets destroyed on a regular basis. For this reason, it is called `newResourceManager()` and not `getResourceManager()`.

    - #### getResourceManagerCreator

          public static ResourceManagerFactory.ResourceManagerCreator getResourceManagerCreator()

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.